# cloud_natural_language_api_wrapper

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/cloud_natural_language`. To experiment with that code, run `bin/console` for an interactive prompt.

## Requirements

- Ruby 2.3

## Installation

Add this line to your application's Gemfile:

```
gem 'cloud_natural_language'
```

And then execute:

```
$ bundle
```

Or install it yourself as:

```
$ gem install cloud_natural_language
```

## Usage

Get your Cloud Natural Language API on Google Cloud Platform Console at first.  
Please, check [the offical document](https://cloud.google.com/natural-language/docs/getting-started).

```ruby

require 'cloud_natural_language'

API_KEY = 'Set your Cloud Natural Language API key'
api = CloudNaturalLanguage::API.new(API_KEY)
puts api.analyze_entity('Hello Google Cloud Neural Language API.')
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/taise/cloud_natural_language_api_wrapper. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
